runHomHMM {snapCGH} | R Documentation

## A function to fit unsupervised Hidden Markov model

### Description

This function fits an unsupervised Hidden Markov model to a given `MAList or \code{SegList}`

### Usage

    runHomHMM(input, vr = 0.01,
                    maxiter = 100, criteria = "AIC", delta = NA,
                    full.output = FALSE, eps = 0.01)

### Arguments

`input` | an object of class `MAList` or `SegList`
`vr` | Gets passed to the function `hidden` as the `pshape` arguement.
`maxiter` | Gets passed to the function `hidden` as the `iterlim` arguement.
`criteria` | Choice of which selection criteria should be used in the algorithm. The choices are either AIC or BIC
`delta` | Delta value used of the BIC is selected. If no value is entered it defaults to 1.
`full.output` | if true the SegList output includes a probability that a clone is in its assigned state and a smoothed value for the clone.
`eps` | parameter controlling the convergence of the EM algorithm.

### See Also

`runDNAcopy` `runGLAD` `SegList`

[Package snapCGH version 1.2.0 Index]